#pragma once

#include "AbstractPainter.h"
#include <memory>

class DrawingContext;

template<class T>
class Grid;

class RasterPainter : public AbstractPainter
{
public:
    RasterPainter();

    void paint(DrawingContext* context) override;

private:
    std::unique_ptr<Grid<unsigned char> > mGrid;
};
